<input type="{{type}}" class="form-control rounded-5" [class.is-invalid]="control.touched && control.invalid" [formControl]="control" placeholder="{{placeholder}}"/>
<div class="invalid-feedback" *ngIf="control.errors?.required">Please enter a {{label}}</div>
<div class="invalid-feedback" *ngIf="control.errors?.minlength">{{label}} must be at least {{control.errors?.minlength.requiredLength}} characters</div>
<div class="invalid-feedback" *ngIf="control.errors?.maxlength">{{label}} must be at most {{control.errors?.maxlength.requiredLength}} characters</div>
